# This file is managed by 'repo_helper'. Don't edit it directly.
---

exclude: ^domdf_python_tools/compat/importlib_resources.py$

ci:
  autoupdate_schedule: quarterly

repos:
 - repo: https://github.com/repo-helper/pyproject-parser
   rev: v0.11.1
   hooks:
    - id: reformat-pyproject

 - repo: https://github.com/pre-commit/pre-commit-hooks
   rev: v3.4.0
   hooks:
    - id: check-added-large-files
    - id: check-ast
    - id: fix-byte-order-marker
    - id: check-byte-order-marker
    - id: check-case-conflict
    - id: check-executables-have-shebangs
    - id: check-json
    - id: check-toml
    - id: check-yaml
    - id: check-merge-conflict
    - id: check-symlinks
    - id: check-vcs-permalinks
    - id: detect-private-key
    - id: trailing-whitespace
    - id: mixed-line-ending
    - id: end-of-file-fixer

 - repo: https://github.com/domdfcoding/pre-commit-hooks
   rev: v0.4.0
   hooks:
    - id: requirements-txt-sorter
      args:
       - --allow-git
    - id: check-docstring-first
      exclude: ^(doc-source/conf|__pkginfo__|setup|tests/.*)\.py$
    - id: bind-requirements

 - repo: https://github.com/python-formate/flake8-dunder-all
   rev: v0.4.1
   hooks:
    - id: ensure-dunder-all
      files: ^domdf_python_tools/.*\.py$

 - repo: https://github.com/domdfcoding/flake2lint
   rev: v0.4.3
   hooks:
    - id: flake2lint

 - repo: https://github.com/pre-commit/pygrep-hooks
   rev: v1.10.0
   hooks:
    - id: python-no-eval
    - id: rst-backticks
    - id: rst-directive-colons
    - id: rst-inline-touching-normal

 - repo: https://github.com/asottile/pyupgrade
   rev: v2.12.0
   hooks:
    - id: pyupgrade
      args:
       - --py36-plus
       - --keep-runtime-typing

 - repo: https://github.com/Lucas-C/pre-commit-hooks
   rev: v1.5.1
   hooks:
    - id: remove-crlf
    - id: forbid-crlf

 - repo: https://github.com/python-formate/snippet-fmt
   rev: v0.1.5
   hooks:
    - id: snippet-fmt

 - repo: https://github.com/python-formate/formate
   rev: v0.7.0
   hooks:
    - id: formate
      exclude: ^(doc-source/conf|__pkginfo__|setup)\.(_)?py$

 - repo: https://github.com/python-coincidence/dep_checker
   rev: v0.8.0
   hooks:
    - id: dep_checker
      args:
       - domdf_python_tools

# Custom hooks can be added below this comment
